Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Balance Inquiry

  • Endpoint: POST /v1.0/emoney/balance-inquiry
  • Tags: Indonesia SNAP/Disbursement

Description

Query real-time customer account balances. Service Code=11

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesMedia type of the resource, i.e. application/json.
X-TIMESTAMPheaderstringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time.
X-SIGNATUREheaderstringYesRepresents signature of a request.
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user , like APP,WAP,WEB.
AuthorizationheaderstringYesRepresents access_token of a request; string starts with keyword “Bearer ” followed by access_token
X-PARTNER-IDheaderstringYesMember id, the unique identifier generated when the merchant signs the contract with PayerMax
X-EXTERNAL-IDheaderstringYesUnique reference number for each request and should be unique within the same day.
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: ""
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • CHANNEL-ID: ""
  • Authorization: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
additionalInfoobjectYes
additionalInfo.fundsAccountNoListarray[string]YesWhen no fundsAccountNo is specified, all fundsAccountNos will return.
additionalInfo.fundsAccountCurrencyListarray[string]Yes3-digit currency code in accordance with ISO 4217 When no currency is specified, all accounts will return.
additionalInfo.plainSignbooleanNoWhether to display accounts with a balance of 0 -true: display -false: does not display (default), filters the account directly.

Example

json
{
  "additionalInfo": {
    "fundsAccountNoList": [
      "12345679237"
    ],
    "fundsAccountCurrencyList": [
      "USD"
    ],
    "plainSign": true
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesResponse code, following the SNAP standard.
responseMessagestringYesResponse description, following the SNAP standard.
additionalInfoobjectYes
additionalInfo.inquiryTimestringNoIn accordance with RFC3339 specification, format: yyyy-mm-dd’T’HH:mm:ss. SSSXXX
additionalInfo.accountBalanceInfoListarray[object]No
additionalInfo.accountBalanceInfoList[].fundsAccountNostringYesFunds account number.
additionalInfo.accountBalanceInfoList[].balanceintegerYesCurrent balance.
additionalInfo.accountBalanceInfoList[].fundsAccountCurrencystringYesThe currency under funds account number.

Response Example

json
{
  "responseMessage": "Success.'",
  "additionalInfo": {
    "inquiryTime": "2026-08-25T07:13:56.817Z",
    "accountBalanceInfoList": [
      {
        "fundsAccountNo": "P26052920113",
        "balance": 1000977121,
        "fundsAccountCurrency": "USD"
      },
      {
        "fundsAccountNo": "P26052934444",
        "balance": 1000097979,
        "fundsAccountCurrency": "USD"
      }
    ]
  },
  "responseCode": "2001100"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.